Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IOdaDataSourceDesign

All Superinterfaces:
  IBaseDataSourceDesign

All Known Implementing Classes:
  OdaDataSourceDesign

    public interface IOdaDataSourceDesign

extends IBaseDataSourceDesign

Describes the static design of an ODA (Open Data Access) Data Source. The data source is to be accessed via an underlying data access driver, whose name and properties are defined in this specialized interface.

Method Summary
`java.lang.String` | `getExtensionID()` Gets the unique id of this data source type, assigned by the extension providing the implementation of this ODA data source.
`java.util.Map` | `getPrivateProperties()` Gets the private connection property, in the form of a (name, setValue) pair.
`java.util.Map` | `getPublicProperties()` Gets the public connection property, in the form of a (name, value) pair.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSourceDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getEventHandler, getName`

Method Detail

### getExtensionID

    java.lang.String getExtensionID()

  Gets the unique id of this data source type, assigned by the extension providing the implementation of this ODA data source. An extension id is required in a data source design.

  Returns:
    The data source extension id

### getPublicProperties

    java.util.Map getPublicProperties()

  Gets the public connection property, in the form of a (name, value) pair. The property name is of String type. The property value is of string values.

  Returns:
    Public properties as a Map of name-set pairs. Null if none is defined.

### getPrivateProperties

    java.util.Map getPrivateProperties()

  Gets the private connection property, in the form of a (name, setValue) pair. A named property can be mapped to more than one values. The property name is of String type. The property value is a Set interface of string values.

  Returns:
    Private properties as a Map of name-set pairs. Null if none is defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.